using AlfaPrentice.Data;
using AlfaPrentice.Models;
using AlfaPrentice.Repositorys.Interfaces;
using Microsoft.AspNetCore.Mvc;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

// For more information on enabling Web API for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860

namespace AlfaPrentice.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class BedrijfController : ControllerBase
    {
        //constructor
        public IBedrijfRepository bedrijfRepo;
        public BedrijfController(IBedrijfRepository bedrijfRepo)
        {
            this.bedrijfRepo = bedrijfRepo;
        }

        [HttpGet]
        public IEnumerable<Bedrijf> GetBedrijf()
        {
            var bedrijven =bedrijfRepo.GetBedrijven();
            return bedrijven;

        }

        //get bedrijf by ID
        [HttpGet("{Bedrijf_ID}")]
        public Bedrijf GetBedrijf(int Bedrijf_ID)
        {
            var bedrijf = bedrijfRepo.GetBedrijf(Bedrijf_ID);
            return bedrijf;
        }

        //add geheel bedrijf
        [HttpPost]
        public void AddBedrijf([FromBody] Bedrijf bedrijf)
        {
            bedrijfRepo.AddBedrijf(bedrijf);
        }

        //update een volledig bedrijf
        [HttpPost]
        public void UpdateBedrijf([FromBody] Bedrijf bedrijf)
        {
             bedrijfRepo.UpdateBedrijf(bedrijf);
        }
    }
}
